# Record TCefBrowserSettings

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBrowserSettings = record`

## Description

Browser initialization settings. Specify NULL or 0 to get the recommended default values. The consequences of using custom values may not be well tested. Many of these and other settings can also configured using command- line switches.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_browser_settings_t))

## Overview

### Fields

| `size: NativeUInt;`
| `windowless_frame_rate: Integer;`
| `standard_font_family: TCefString;`
| `fixed_font_family: TCefString;`
| `serif_font_family: TCefString;`
| `sans_serif_font_family: TCefString;`
| `cursive_font_family: TCefString;`
| `fantasy_font_family: TCefString;`
| `default_font_size: Integer;`
| `default_fixed_font_size: Integer;`
| `minimum_font_size: Integer;`
| `minimum_logical_font_size: Integer;`
| `default_encoding: TCefString;`
| `remote_fonts: TCefState;`
| `javascript: TCefState;`
| `javascript_close_windows: TCefState;`
| `javascript_access_clipboard: TCefState;`
| `javascript_dom_paste: TCefState;`
| `image_loading: TCefState;`
| `image_shrink_standalone_to_fit: TCefState;`
| `text_area_resize: TCefState;`
| `tab_to_links: TCefState;`
| `local_storage: TCefState;`
| `databases_deprecated: TCefState;`
| `webgl: TCefState;`
| `background_color: TCefColor;`
| `chrome_status_bubble: TCefState;`
| `chrome_zoom_bubble: TCefState;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `windowless_frame_rate: Integer;`
The maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the default value is 30. This value can also be changed dynamically via ICefBrowserHost.SetWindowlessFrameRate.

| `standard_font_family: TCefString;`
Font settings.

| `fixed_font_family: TCefString;`
This item has no description.

| `serif_font_family: TCefString;`
This item has no description.

| `sans_serif_font_family: TCefString;`
This item has no description.

| `cursive_font_family: TCefString;`
This item has no description.

| `fantasy_font_family: TCefString;`
This item has no description.

| `default_font_size: Integer;`
This item has no description.

| `default_fixed_font_size: Integer;`
This item has no description.

| `minimum_font_size: Integer;`
This item has no description.

| `minimum_logical_font_size: Integer;`
This item has no description.

| `default_encoding: TCefString;`
Default encoding for Web content. If empty "ISO-8859-1" will be used. Also configurable using the "default-encoding" command-line switch.

| `remote_fonts: TCefState;`
Controls the loading of fonts from remote sources. Also configurable using the "disable-remote-fonts" command-line switch.

| `javascript: TCefState;`
Controls whether JavaScript can be executed. Also configurable using the "disable-javascript" command-line switch.

| `javascript_close_windows: TCefState;`
Controls whether JavaScript can be used to close windows that were not opened via JavaScript. JavaScript can still be used to close windows that were opened via JavaScript or that have no back/forward history. Also configurable using the "disable-javascript-close-windows" command-line switch.

| `javascript_access_clipboard: TCefState;`
Controls whether JavaScript can access the clipboard. Also configurable using the "disable-javascript-access-clipboard" command-line switch.

| `javascript_dom_paste: TCefState;`
Controls whether DOM pasting is supported in the editor via execCommand("paste"). The |javascript_access_clipboard| setting must also be enabled. Also configurable using the "disable-javascript-dom-paste" command-line switch.

| `image_loading: TCefState;`
Controls whether image URLs will be loaded from the network. A cached image will still be rendered if requested. Also configurable using the "disable-image-loading" command-line switch.

| `image_shrink_standalone_to_fit: TCefState;`
Controls whether standalone images will be shrunk to fit the page. Also configurable using the "image-shrink-standalone-to-fit" command-line switch.

| `text_area_resize: TCefState;`
Controls whether text areas can be resized. Also configurable using the "disable-text-area-resize" command-line switch.

| `tab_to_links: TCefState;`
Controls whether the tab key can advance focus to links. Also configurable using the "disable-tab-to-links" command-line switch.

| `local_storage: TCefState;`
Controls whether local storage can be used. Also configurable using the "disable-local-storage" command-line switch.

| `databases_deprecated: TCefState;`
Controls whether databases can be used. Also configurable using the "disable-databases" command-line switch.

| `webgl: TCefState;`
Controls whether WebGL can be used. Note that WebGL requires hardware support and may not work on all systems even when enabled. Also configurable using the "disable-webgl" command-line switch.

| `background_color: TCefColor;`
Background color used for the browser before a document is loaded and when no document color is specified. The alpha component must be either fully opaque (0xFF) or fully transparent (0x00). If the alpha component is fully opaque then the RGB components will be used as the background color. If the alpha component is fully transparent for a windowed browser then the TCefSettings.background_color value will be used. If the alpha component is fully transparent for a windowless (off-screen) browser then transparent painting will be enabled.

| `chrome_status_bubble: TCefState;`
Controls whether the Chrome status bubble will be used. Only supported with Chrome style. For details about the status bubble see https://www.chromium.org/user-experience/status-bubble/

| `chrome_zoom_bubble: TCefState;`
Controls whether the Chrome zoom bubble will be shown when zooming. Only supported with Chrome style.

Generated by PasDoc 0.16.0-snapshot.